export default Toast;
/** @type {React.ComponentType<any>} */
declare class Toast extends React.PureComponent<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    scheduleTimeout: (props: any) => void;
    currentTimeout: any;
    renderCustomAction: () => any;
    renderCustomLink: () => any;
    renderCloseButton: () => any;
    handleMouseEnter: () => void;
    handleMouseLeave: () => void;
    render(): JSX.Element;
}
declare namespace Toast {
    const propTypes: React.WeakValidationMap<any> | undefined;
}
import React from "react";
